.org 0x1205000		 /* Put Code in ROM offsert 0x1205000 */
ADDIU SP, SP, 0xFFE8 // Allocate stack (-24)
LUI GP, 0x81C0       // We set the global pointer to the extended RAM addr, or else the game crashes.
ADDIU GP, GP, 0x0034 // GP = 0x81C00034 (The address where our code ends)
SW RA, 0x14(SP)      // Store return address to stack.

ORI A0, R0, 0x70     // X Pos for Text.
ORI A1, R0, 0x70	 // Y Pos for Text.
LUI A2, 0x81C0		 // RAM Address pointer to our text. (upper half) A2 = 0x81C00000
JAL 0x802D66C0		 // PrintXY(u8 x, u8 y, char* text) -> our function.
ORI A2, A2, 0x0100   // Before JAL, put lower half to A2. A2 = 0x81C00100

LW RA, 0x14(SP)		 // Load return address from stack to RA register.
JR RA				 // Jump to content(address) of RA aka return address.
ADDIU SP, SP, 0x18	 // But BEFORE JR deallocate stack(+24)

.org 0x1205100		 // RAM Address= 0x81C00100
.asciiz "Hello World" // Our text.