/* RDRAM Test:
 * 32MB: 0x81C00000 - 0x81FFFFFF
*/
.inc "print.asm" /* Include our print asm code */
.org 0x861C0  // write code at 0x861C0 (0x802CB1C0 -> mario's debug menu. You can change it, ofc)
ADDIU SP, SP, 0xFFE8 // Allocate stack (-24)
SW RA, 0x14(SP) // Store return address to stack.

/* DMACopy(a0, a1, a2)
 * a0 = ram_dest
 * a1 = rom_start
 * a2 = rom_end
*/
LUI A0, 0x81C0
ORI A0, A0, 0x0000
LUI A1, 0x0120
ORI A1, A1, 0x5000
LUI A2, 0x0120
ORI A2, A2, 0x5200
JAL 0x80278504 // Jump to DmaCopy function.
NOP // Delay Slot. Executed BEFORE JAL!

/* Jump to our print code in RAM */
JAL 0x81C00000
NOP // Delay slot. Executed BEFORE JAL!

LW RA, 0x14(SP)    // Load return address from stack.
JR RA 			   // Jump to return address.
ADDIU SP, SP, 0x18 // But BEFORE deallocate stack(+24).
